<div class="mr-switch"
[class.error]="(ngControl.control?.touched || ngControl.control?.dirty) && ngControl.control?.invalid">
    <label [class.on]="value" (click)="preventDefault ? handleClick($event) : null">
        <span class="mr-switch-label">{{label}}</span>
        <input type="checkbox" (change)="handleChange($event)" [(ngModel)]="value" [checked]="value">
        <span class="display"></span>
    </label>
    <p *ngIf="help" class="help"><i class="las la-question-circle"></i> {{help}}</p>
</div>
